> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Session thread

> Retrieve one thread in a managed-agent Session.

`GET /api/v1/cloud/sessions/{session_id}/threads/{thread_id}`

Returns one Session thread.

## Path parameters

| Parameter    | Type   | Description                        |
| ------------ | ------ | ---------------------------------- |
| `session_id` | string | Session ID with the `sess_` prefix |
| `thread_id`  | string | Thread ID with the `sthr_` prefix  |

## Headers

| Header          | Required | Description         |
| --------------- | -------- | ------------------- |
| `Authorization` | Yes      | `Bearer $QODER_PAT` |

## Example request

```bash theme={null}
curl -X GET "https://api.qoder.com/api/v1/cloud/sessions/sess_019f00000000000000000000000000aa/threads/sthr_019f00000000000000000000000002bb" \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

```json theme={null}
{
  "id": "sthr_019f00000000000000000000000002bb",
  "type": "session_thread",
  "session_id": "sess_019f00000000000000000000000000aa",
  "parent_thread_id": "sthr_019f00000000000000000000000001aa",
  "agent": {"id": "agent_019f000000000000000000000000002b", "type": "agent", "version": 2},
  "status": "running",
  "stats": null,
  "archived_at": null,
  "created_at": "2026-06-15T08:01:00.000Z",
  "updated_at": "2026-06-15T08:01:00.000Z"
}
```

See [Session Thread object](/cloud-agents/api/sessions/schemas#session-thread-object) for the response shape.

## Errors

| HTTP | Type                   | Trigger                          |
| ---- | ---------------------- | -------------------------------- |
| 401  | `authentication_error` | PAT invalid or expired           |
| 404  | `not_found_error`      | Session or thread does not exist |

**HTTP 404 Not Found** (session does not exist)

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_doesnotexist_xxxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found** (thread does not exist)

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session thread 'sthr_fakefakefake_xxxxxxxxxxxxxxxx' was not found."
  }
}
```

See [Errors](/cloud-agents/api/conventions/errors) for the full error envelope.
